> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 歌詞 / インスピレーション / 効果音 / タグ

> lyrics 歌詞生成、inspo 参考音源生成、sounds 効果音、upsampleTags タグ展開

```
POST https://toapis.com/v1/music/generations/{operation}
```

**model** `string` *required*

固定 `"suno"`

## lyrics — 歌詞生成(\$0.008)

**prompt** `string` *required*

歌詞テーマの説明

**lyrics\_model** `string`

歌詞モデル:`classic` / `remi`(任意)

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/lyrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","prompt":"夏の海辺についての歌"}'
```

## inspo — 参考音源インスピレーション($0.068,Max $0.136)

1-4 本の参考音源をもとに新曲を生成。

**audio\_urls** `array` *required*

公開音声 URL を 1-4 件

**max\_mode** `boolean`

Max ティア(本操作に `custom` なし。直接有効)

> [!WARNING]
>
> `custom` は送信しないでください。上流で拒否されます。

## sounds — 効果音生成(\$0.0096)

**prompt** `string` *required*

効果音の説明

**type** `string`

効果音タイプ

**bpm** `number`

テンポ(範囲 1-300)

**key** `string`

調

## upsampleTags — スタイルタグ展開(\$0.004)

短いスタイルタグを詳細なスタイル記述に展開。

**tags** `string` *required*

スタイルタグ。例:`"lo-fi chill beats"`

## Response

**task\_id** `string`

タスク ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.